Changes between Version 4 and Version 5 of RestrictedAreaPlugin


Ignore:
Timestamp:
Jun 1, 2007, 3:32:04 PM (8 years ago)
Author:
anonymous
Comment:

plugin will be obsolete for Trac 0.11 and higher

Legend:

Unmodified
Added
Removed
Modified
  • RestrictedAreaPlugin

    v4 v5  
    1 = Set up restricted areas with access only for privileged users =
     1= Set up restricted areas with access only for privileged users in Trac 0.10.x =
    22
    33== Description ==
    44
    5 The RestrictedAreaPlugin is a pretty simple Trac plugin that allows the Trac administrator to set up restricted areas which are accessible only for privileged users. The access is controlled via the new Trac action {{{RESTRICTED_AREA_ACCESS}}} and a list of paths configured in the Trac {{{INI}}}-file.
     5The RestrictedAreaPlugin is a pretty simple Trac plugin that allows the Trac administrator to set up restricted areas which are accessible only for privileged users in Trac 0.10.x installations. The access is controlled via the new Trac action {{{RESTRICTED_AREA_ACCESS}}} and a list of paths configured in the Trac {{{INI}}}-file.
    66
    7 The plugin is tested only in our Trac environment which is a version 0.10.3 installation and in a 0.10.4 installation; it's known to not work with version 0.10.2 (cf. bug #1184) and will probably not work with earlier versions either. The latest development versions of Trac 0.11 will probably not work either. If you are running the plugin successfully in any other installation than the ones mentioned, then please edit this page accordingly -- alternatively [http://trac-hacks.org/newticket?component=RestrictedAreaPlugin&owner=Chriki file an informational ticket] and I'll add the information myself ;-) Thanks!
     7The plugin is tested only in our Trac environment which is a version 0.10.3 installation and in a 0.10.4 installation; it's known to not work with version 0.10.2 (cf. bug #1184) and will probably not work with earlier versions either. If you are running the plugin successfully in any other installation than the ones mentioned, then please edit this page accordingly -- alternatively [http://trac-hacks.org/newticket?component=RestrictedAreaPlugin&owner=Chriki file an informational ticket] and I'll add the information myself ;-) Thanks!
    88
     9'''Hint''': For the newer Trac versions (0.11 and higher) the plugin will probably not work. But here the plugin should not be needed anyway as Trac has a fine-grained permission system included by default since 0.11. Head over to the [http://trac.edgewall.org/wiki/TracDev/SecurityBranch SecurityBranch] for more information on this.
    910
    1011== Bugs/Feature Requests ==